//! C++ functions.

mod ffi {
   extern "C" {
      pub fn critical_msg(title: maraiah::ffi::NT, msg: maraiah::ffi::NT);
   }
}

pub fn critical_msg<T, U>(title: T, msg: U)
   where T: ToString,
         U: ToString
{
   let title = std::ffi::CString::new(title.to_string()).unwrap();
   let msg   = std::ffi::CString::new(msg.to_string()).unwrap();

   unsafe {
      ffi::critical_msg(title.as_ptr(), msg.as_ptr());
   }
}

// EOF
